1. Rooms
Public API
  • Welcome to the deskbird developer docs
  • Public API
    • Overview
    • Users
      • Lists company users
      • Retrieves a single company user
    • Bookings
      • Lists company bookings
      • Creates a new resource booking
      • Gets a single company booking
      • Updates an existing booking
      • Cancels a booking
      • Checks in to a booking
      • Releases a booking early
    • Groups
      • Lists company user groups
      • Retrieves a single company user group
    • Resources
      • Gets a resource by ID
      • Lists company resources
    • Offices
      • Lists company offices
      • Checks a user into an office
    • Scheduling
      • Lists company scheduling statuses
      • Deletes scheduling statuses by IDs
      • Adds new scheduling statuses for a user
    • Scheduling Options
      • Lists company scheduling options
    • Rooms
      • Lists company rooms
        GET
      • Gets a single room
        GET
      • Creates a room booking
        POST
      • Lists room bookings
        GET
      • Gets a single room booking
        GET
      • Updates a room booking
        PATCH
      • Checks in to a room booking
        PATCH
      • Cancels a room booking
        PATCH
      • Lists company room bookings
        GET
    • Floors
      • Lists company floors
    • Zones
      • Lists company zones
    • Tickets
      • Lists company tickets
      • Gets a single company ticket
      • Lists ticket categories
      • Updates a ticket
    • Sensors
      • Lists company monitors
      • Lists company network configurations
    • Visitors
      • Lists company visit types
      • Lists company visits
      • Gets a single company visit
    • Service requests
      • Lists company service requests
      • Lists service categories of an office
      • Gets a single company service request
  • MCP server
    • Overview
    • Authentication
    • Tools reference
  1. Rooms

Lists company room bookings

GET
/rooms/bookings
Retrieves room bookings across the company for synchronization and reconciliation. Supports office, room, user, status, time, creation-time, and update-time filters. Cancelled bookings are included automatically for updatedAt delta queries.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://connect.deskbird.com/rooms/bookings?offset=undefined&limit=undefined&userIds=undefined&startTime=undefined&endTime=undefined&officeIds=undefined&roomIds=undefined&statuses=undefined&createdAt=undefined&updatedAt=undefined' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
List of room bookings retrieved successfully
Bodyapplication/json

Example
{
    "total": 100,
    "limit": 10,
    "offset": 0,
    "data": [
        {
            "createdAt": "2024-01-01T09:00:00.000Z",
            "attendees": [
                {
                    "email": "john.doe@example.com"
                }
            ],
            "durationInSeconds": 3600,
            "id": "booking-123",
            "isCheckedIn": false,
            "isPrivate": false,
            "officeId": "office-123",
            "roomId": "room-123",
            "startTime": "2024-01-01T10:00:00Z",
            "status": "accepted",
            "title": "Team Meeting",
            "type": "occurrence",
            "userId": "user-123",
            "updatedAt": "2024-01-01T09:30:00.000Z"
        }
    ]
}
🟠401Unauthorized
🟠403Forbidden
Previous
Cancels a room booking
Next
Lists company floors
Built with